org.apache.xmlbeans

## Enum XmlOptions.BeanMethod

- java.lang.Object
- - java.lang.Enum<XmlOptions.BeanMethod>
  - - org.apache.xmlbeans.XmlOptions.BeanMethod

All Implemented Interfaces:
  Serializable, Comparable<XmlOptions.BeanMethod>

Enclosing class:
  XmlOptions

    public static enum XmlOptions.BeanMethod
    extends Enum<XmlOptions.BeanMethod>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADD`
`ADD_NEW`
`GET`
`GET_ARRAY`
`GET_IDX`
`GET_LIST`
`INSERT_IDX`
`INSERT_NEW_IDX`
`INSTANCE_TYPE`
`IS_NIL`
`IS_NIL_IDX`
`IS_SET`
`REMOVE_IDX`
`SET`
`SET_ARRAY`
`SET_IDX`
`SET_LIST`
`SET_NIL`
`SET_NIL_IDX`
`SIZE_OF_ARRAY`
`UNSET`
`XGET`
`XGET_ARRAY`
`XGET_IDX`
`XGET_LIST`
`XSET`
`XSET_ARRAY`
`XSET_IDX`

### Method Summary

All Methods Static Methods Concrete Methods
`static XmlOptions.BeanMethod` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static XmlOptions.BeanMethod[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GET

    public static final XmlOptions.BeanMethod GET

#### XGET

    public static final XmlOptions.BeanMethod XGET

#### IS_SET

    public static final XmlOptions.BeanMethod IS_SET

#### IS_NIL

    public static final XmlOptions.BeanMethod IS_NIL

#### IS_NIL_IDX

    public static final XmlOptions.BeanMethod IS_NIL_IDX

#### SET

    public static final XmlOptions.BeanMethod SET

#### SET_NIL

    public static final XmlOptions.BeanMethod SET_NIL

#### SET_NIL_IDX

    public static final XmlOptions.BeanMethod SET_NIL_IDX

#### XSET

    public static final XmlOptions.BeanMethod XSET

#### UNSET

    public static final XmlOptions.BeanMethod UNSET

#### GET_ARRAY

    public static final XmlOptions.BeanMethod GET_ARRAY

#### XGET_ARRAY

    public static final XmlOptions.BeanMethod XGET_ARRAY

#### GET_IDX

    public static final XmlOptions.BeanMethod GET_IDX

#### XGET_IDX

    public static final XmlOptions.BeanMethod XGET_IDX

#### XSET_ARRAY

    public static final XmlOptions.BeanMethod XSET_ARRAY

#### XSET_IDX

    public static final XmlOptions.BeanMethod XSET_IDX

#### SIZE_OF_ARRAY

    public static final XmlOptions.BeanMethod SIZE_OF_ARRAY

#### SET_ARRAY

    public static final XmlOptions.BeanMethod SET_ARRAY

#### SET_IDX

    public static final XmlOptions.BeanMethod SET_IDX

#### INSERT_IDX

    public static final XmlOptions.BeanMethod INSERT_IDX

#### INSERT_NEW_IDX

    public static final XmlOptions.BeanMethod INSERT_NEW_IDX

#### ADD

    public static final XmlOptions.BeanMethod ADD

#### ADD_NEW

    public static final XmlOptions.BeanMethod ADD_NEW

#### REMOVE_IDX

    public static final XmlOptions.BeanMethod REMOVE_IDX

#### GET_LIST

    public static final XmlOptions.BeanMethod GET_LIST

#### XGET_LIST

    public static final XmlOptions.BeanMethod XGET_LIST

#### SET_LIST

    public static final XmlOptions.BeanMethod SET_LIST

#### INSTANCE_TYPE

    public static final XmlOptions.BeanMethod INSTANCE_TYPE

### Method Detail

#### values

    public static XmlOptions.BeanMethod[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (XmlOptions.BeanMethod c : XmlOptions.BeanMethod.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static XmlOptions.BeanMethod valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null